| Home | Libraries | People | FAQ | More

##### grammar::lut_chars::operator-

Return a new character set by subtracting.

###### Synopsis

Defined in header `<boost/url/grammar/lut_chars.hpp>`

    constexpr lut_chars
    operator-(
        lut_chars const& cs0,
        lut_chars const& cs1);

###### Description

This function returns a new character set which is formed from all of the characters in `cs0` which are not in `cs`.

###### Example

This statement declares a character set containing all the lowercase letters which are not vowels:

    constexpr lut_chars consonants = lut_chars( "abcdefghijklmnopqrstuvwxyz" ) - "aeiou" ;

###### Complexity

Constant.

###### Return Value

The new character set.

###### Parameters

Name | Description
--- | ---
`cs0` | A character set to join.
`cs1` | A character set to join.

Convenience header `<boost/url/grammar.hpp>`